<form
  (submit)="createNote($event)"
  [ngClass]="{'field--error': textContent.errors && textContent.dirty}"
  class="note-creator"
>
  <div class="field">
    <textarea
      #textField
      (keydown.enter)="createNote($event)"
      [formControl]="textContent"
      placeholder="Note text..."
    ></textarea>
    <span
      *ngIf="textContent.errors && textContent.dirty"
      class="field__error"
    >
      This field is required
    </span>
  </div>
  <button
    [disabled]="textContent.invalid"
    type="submit"
    class="btn"
  >
    Create new note
  </button>
</form>
